<TextInput name="Email" value="" bind:value=email />
<PasswordInput name="Password" value="" bind:value=password />
<Button {disabled} on:click="signin({email, password})" text="Signin" />

<script>
  import TextInput from "./TextInput.svelte";
  import PasswordInput from "./PasswordInput.svelte";
  import Button from "./Button.svelte";
  import RestClient from "../../js/RestClient";

  export default {
    components: {
      TextInput,
      Button,
      PasswordInput
    },
    methods: {
      async signin({email, password}) {
        const loginRes = await RestClient.post("/login", {
          email,
          password
        });
        await this.store.setToken(loginRes.token);
      }
    }
  };
</script>
